

float4x4 matViewProjection : MATRIX_WORLDVIEWPROJ;

struct VS_INPUT 
{
   float4 Position : POSITION0;
   float2 Txr1: TEXCOORD0;
};

struct VS_OUTPUT 
{
   float4 Position : POSITION0;
   float2 Txr1: TEXCOORD0;
};

VS_OUTPUT Effect_Group_1_myeffect_Pass_0_Vertex_Shader_vs_main( VS_INPUT Input )
{
   VS_OUTPUT Output;

   Output.Position = mul( Input.Position, matViewProjection );
   Output.Txr1=Input.Txr1;
   return( Output );
   }

tex2D(Texture0,inTxr1);

float4 Effect_Group_1_myeffect_Pass_0_Pixel_Shader_ps_main( float4 inDiffuse: COLOR0,
                float2 inTxr1:    TEXCOORD0
              ) : COLOR0
{
 
    return tex2D(Texture0,inTxr1);
}



//--------------------------------------------------------------//
// Technique 
//--------------------------------------------------------------//
technique myeffect
{
   pass p0
   {
      VertexShader = compile vs_2_0 Effect_Group_1_myeffect_Pass_0_Vertex_Shader_vs_main();
      PixelShader = compile ps_2_0 Effect_Group_1_myeffect_Pass_0_Pixel_Shader_ps_main();
   }

}

